Subject: [Anima] FW: New Version Notification for draft-behringer-anima-autonomic-addressing-01.txt

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Thu, 18 Jun 2015 10:05:59 +0000

ANIMA WG, 

I updated the addressing draft, and added more structure to it, added requirements, fundamental concept. 

Please review the document. 

In a first instance, I'd be interested in the idea of the base scheme, which is why I have separated that part out in the new version. The base scheme is pretty simple and nails down: 
- that we use ULA, where we encode the domain name. 
- that there should be a "type" field to be able to support different ways of addressing nodes in a network. 

What do you think about this? Is this the right direction? 

Then, in the details, I think there are many choices, the fields can be variably long, etc. Toerless had suggested some "virtualization bits" at the end of the address to be able to address different VMs for example on an autonomic node. (New section 5.2.)  Undoubtedly we'll have lots of discussion and ideas for the sub-schemes. 

But first of all I'd like some feedback on the base scheme, to see whether we're on the right track.
 
Feedback please! 

Michael

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 18 June 2015 11:55
> To: Michael Behringer (mbehring); Michael Behringer (mbehring)
> Subject: New Version Notification for draft-behringer-anima-autonomic-
> addressing-01.txt
> 
> 
> A new version of I-D, draft-behringer-anima-autonomic-addressing-01.txt
> has been successfully submitted by Michael H. Behringer and posted to the
> IETF repository.
> 
> Name:		draft-behringer-anima-autonomic-addressing
> Revision:	01
> Title:		An Autonomic IPv6 Addressing Scheme
> Document date:	2015-06-18
> Group:		Individual Submission
> Pages:		8
> URL:            https://www.ietf.org/internet-drafts/draft-behringer-anima-
> autonomic-addressing-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-behringer-anima-
> autonomic-addressing/
> Htmlized:       https://tools.ietf.org/html/draft-behringer-anima-autonomic-
> addressing-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-behringer-anima-
> autonomic-addressing-01
> 
> Abstract:
>    This document describes a generic IPv6 addressing scheme which is
>    suitable for autonomic nodes, where node addressing must not depend
>    on a centrally managed scheme.  It assumes a unique domain name and
>    device name, and automatically derives a unique IPv6 address from
>    those.  The scheme allows for a flat address hierarchy as well as
>    optionally, when required, the definition of zones which are
>    aggregatable.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat